Mailinglist Archive: opensuse-updates (144 mails)

< Previous Next >
openSUSE-SU-2015:2353-1: moderate: Security update for MozillaFirefox
openSUSE Security Update: Security update for MozillaFirefox
______________________________________________________________________________

Announcement ID: openSUSE-SU-2015:2353-1
Rating: moderate
References: #959277
Cross-References: CVE-2015-7201 CVE-2015-7202 CVE-2015-7203
CVE-2015-7204 CVE-2015-7205 CVE-2015-7207
CVE-2015-7208 CVE-2015-7210 CVE-2015-7211
CVE-2015-7212 CVE-2015-7213 CVE-2015-7214
CVE-2015-7215 CVE-2015-7216 CVE-2015-7217
CVE-2015-7218 CVE-2015-7219 CVE-2015-7220
CVE-2015-7221 CVE-2015-7222 CVE-2015-7223

Affected Products:
openSUSE Leap 42.1
openSUSE 13.2
openSUSE 13.1
______________________________________________________________________________

An update that fixes 21 vulnerabilities is now available.

Description:


This update for MozillaFirefox fixes the following security issues:

* MFSA 2015-134/CVE-2015-7201/CVE-2015-7202 Miscellaneous memory safety
hazards
* MFSA 2015-135/CVE-2015-7204 (bmo#1216130) Crash with JavaScript
variable assignment with unboxed objects
* MFSA 2015-136/CVE-2015-7207 (bmo#1185256) Same-origin policy violation
using perfomance.getEntries and history navigation
* MFSA 2015-137/CVE-2015-7208 (bmo#1191423) Firefox allows for control
characters to be set in cookies
* MFSA 2015-138/CVE-2015-7210 (bmo#1218326) Use-after-free in WebRTC
when datachannel is used after being destroyed
* MFSA 2015-139/CVE-2015-7212 (bmo#1222809) Integer overflow allocating
extremely large textures
* MFSA 2015-140/CVE-2015-7215 (bmo#1160890) Cross-origin information
leak through web workers error events
* MFSA 2015-141/CVE-2015-7211 (bmo#1221444) Hash in data URI is
incorrectly parsed
* MFSA 2015-142/CVE-2015-7218/CVE-2015-7219 (bmo#1194818, bmo#1194820)
DOS due to malformed frames in HTTP/2
* MFSA 2015-143/CVE-2015-7216/CVE-2015-7217 (bmo#1197059, bmo#1203078)
Linux file chooser crashes on malformed images due to flaws in Jasper
library
* MFSA 2015-144/CVE-2015-7203/CVE-2015-7220/CVE-2015-7221 (bmo#1201183,
bmo#1178033, bmo#1199400) Buffer overflows found through code
inspection
* MFSA 2015-145/CVE-2015-7205 (bmo#1220493) Underflow through code
inspection
* MFSA 2015-146/CVE-2015-7213 (bmo#1206211) Integer overflow in MP4
playback in 64-bit versions
* MFSA 2015-147/CVE-2015-7222 (bmo#1216748) Integer underflow and buffer
overflow processing MP4 metadata in libstagefright
* MFSA 2015-148/CVE-2015-7223 (bmo#1226423) Privilege escalation
vulnerabilities in WebExtension APIs
* MFSA 2015-149/CVE-2015-7214 (bmo#1228950) Cross-site reading attack
through data and view-source URIs


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE Leap 42.1:

zypper in -t patch openSUSE-2015-942=1

- openSUSE 13.2:

zypper in -t patch openSUSE-2015-942=1

- openSUSE 13.1:

zypper in -t patch openSUSE-2015-942=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE Leap 42.1 (i586 x86_64):

MozillaFirefox-43.0-6.1
MozillaFirefox-branding-upstream-43.0-6.1
MozillaFirefox-buildsymbols-43.0-6.1
MozillaFirefox-debuginfo-43.0-6.1
MozillaFirefox-debugsource-43.0-6.1
MozillaFirefox-devel-43.0-6.1
MozillaFirefox-translations-common-43.0-6.1
MozillaFirefox-translations-other-43.0-6.1

- openSUSE 13.2 (i586 x86_64):

MozillaFirefox-43.0-53.1
MozillaFirefox-branding-upstream-43.0-53.1
MozillaFirefox-buildsymbols-43.0-53.1
MozillaFirefox-debuginfo-43.0-53.1
MozillaFirefox-debugsource-43.0-53.1
MozillaFirefox-devel-43.0-53.1
MozillaFirefox-translations-common-43.0-53.1
MozillaFirefox-translations-other-43.0-53.1

- openSUSE 13.1 (i586 x86_64):

MozillaFirefox-43.0-97.1
MozillaFirefox-branding-upstream-43.0-97.1
MozillaFirefox-buildsymbols-43.0-97.1
MozillaFirefox-debuginfo-43.0-97.1
MozillaFirefox-debugsource-43.0-97.1
MozillaFirefox-devel-43.0-97.1
MozillaFirefox-translations-common-43.0-97.1
MozillaFirefox-translations-other-43.0-97.1


References:

https://www.suse.com/security/cve/CVE-2015-7201.html
https://www.suse.com/security/cve/CVE-2015-7202.html
https://www.suse.com/security/cve/CVE-2015-7203.html
https://www.suse.com/security/cve/CVE-2015-7204.html
https://www.suse.com/security/cve/CVE-2015-7205.html
https://www.suse.com/security/cve/CVE-2015-7207.html
https://www.suse.com/security/cve/CVE-2015-7208.html
https://www.suse.com/security/cve/CVE-2015-7210.html
https://www.suse.com/security/cve/CVE-2015-7211.html
https://www.suse.com/security/cve/CVE-2015-7212.html
https://www.suse.com/security/cve/CVE-2015-7213.html
https://www.suse.com/security/cve/CVE-2015-7214.html
https://www.suse.com/security/cve/CVE-2015-7215.html
https://www.suse.com/security/cve/CVE-2015-7216.html
https://www.suse.com/security/cve/CVE-2015-7217.html
https://www.suse.com/security/cve/CVE-2015-7218.html
https://www.suse.com/security/cve/CVE-2015-7219.html
https://www.suse.com/security/cve/CVE-2015-7220.html
https://www.suse.com/security/cve/CVE-2015-7221.html
https://www.suse.com/security/cve/CVE-2015-7222.html
https://www.suse.com/security/cve/CVE-2015-7223.html
https://bugzilla.suse.com/959277


< Previous Next >
This Thread
  • No further messages